Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.content
Interface IDataContent

All Superinterfaces:
  org.eclipse.birt.report.engine.css.engine.CSSStylableElement, IContent, IElement, IStyledElement, ITextContent

    public interface IDataContent

extends ITextContent

Provides the interface for the Data Content.

Field Summary

Fields inherited from interface org.eclipse.birt.report.engine.content.IContent
`AUTOTEXT_CONTENT, CELL_CONTENT, CONTAINER_CONTENT, DATA_CONTENT, DOCUMENT_EXTENSION, FOREIGN_CONTENT, GROUP_CONTENT, IMAGE_CONTENT, LABEL_CONTENT, LAYOUT_EXTENSION, LIST_BAND_CONTENT, LIST_CONTENT, LIST_GROUP_CONTENT, PAGE_CONTENT, ROW_CONTENT, SERIALIZE_CONTENT, TABLE_BAND_CONTENT, TABLE_CONTENT, TABLE_GROUP_CONTENT, TEXT_CONTENT`

Method Summary
`java.lang.String` | `getHelpKey()` Get the help key of the data content.
`java.lang.String` | `getHelpText()` Get the help text of the data content.
`java.lang.String` | `getLabelKey()` Get the label key of the data content.
`java.lang.String` | `getLabelText()` Get the label text of the data content.
`java.lang.Object` | `getValue()` Get the value of the data content.
`void` | `setLabelKey(java.lang.String key)` Set the label key of the data content.
`void` | `setLabelText(java.lang.String text)` Set the label text of the data content.
`void` | `setValue(java.lang.Object value)` Set the value of the data content.

Methods inherited from interface org.eclipse.birt.report.engine.content.ITextContent
`getText, setText`

Methods inherited from interface org.eclipse.birt.report.engine.content.IContent
`accept, cloneContent, getACL, getBookmark, getContentType, getExtension, getGenerateBy, getHeight, getHyperlinkAction, getInlineStyle, getInstanceID, getName, getReportContent, getResultSet, getTOC, getWidth, getX, getY, isDirectionRTL, isRTL, readContent, setACL, setBookmark, setExtension, setGenerateBy, setHeight, setHelpText, setHyperlinkAction, setInlineStyle, setInstanceID, setName, setReportContent, setTOC, setWidth, setX, setY, writeContent`

Methods inherited from interface org.eclipse.birt.report.engine.css.engine.CSSStylableElement
`getComputedStyle, getCSSEngine, getStyle`

Methods inherited from interface org.eclipse.birt.report.engine.content.IStyledElement
`getComputedStyle, getStyle, getStyleClass, setStyleClass`

Method Detail

### getHelpText

    java.lang.String getHelpText()

  Get the help text of the data content.

  Specified by:
    `getHelpText` in interface `IContent`
  Returns:
    the help text.

### getHelpKey

    java.lang.String getHelpKey()

  Get the help key of the data content.

  Returns:
    the help key.

### setValue

    void setValue(java.lang.Object value)

  Set the value of the data content.

  Parameters:
    `value` - the value of the data content.

### getValue

    java.lang.Object getValue()

  Get the value of the data content.

  Returns:
    the value of the data content.

### getLabelText

    java.lang.String getLabelText()

  Get the label text of the data content.

  Returns:
    the label text of the data content.

### getLabelKey

    java.lang.String getLabelKey()

  Get the label key of the data content.

  Returns:
    the label key of the data content.

### setLabelText

    void setLabelText(java.lang.String text)

  Set the label text of the data content.

  Parameters:
    `text` - the label text of the data content.

### setLabelKey

    void setLabelKey(java.lang.String key)

  Set the label key of the data content.

  Parameters:
    `key` - the label key of the data content.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.